Skip to navigation

Create Property Amenity: Rent Manager

Create Property Amenity: Rent Manager

Method
POST /Properties/{propertyId}/PropertyAmenities
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
property_idstringRequired
The Propexo unique identifier for the property
namestringRequiredformat: "^[a-zA-Z0-9\s]+$"
The name associated with the amenity
descriptionstringOptional
Description of the amenity

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error